package com.simuwang.daq.components.report.parser.py;

import com.simuwang.base.common.enums.ReportType;
import com.simuwang.base.config.DaqProperties;
import com.simuwang.base.mapper.FundInfoMapper;
import com.simuwang.base.pojo.dto.report.MonthlyReportData;
import com.simuwang.daq.components.report.parser.ReportParserConstant;
import org.springframework.stereotype.Component;

@Component(ReportParserConstant.PARSER_PYTHON_MONTHLY)
public class PythonMonthlyReportParser extends AbstractPyReportParser<MonthlyReportData> {
    public PythonMonthlyReportParser(DaqProperties properties, FundInfoMapper fundInfoMapper) {
        super(properties, fundInfoMapper);
    }

    @Override
    protected ReportType getReportType() {
        return ReportType.MONTHLY;
    }

    @Override
    public String getParser() {
        return ReportParserConstant.PARSER_PYTHON_MONTHLY;
    }
}
